[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTVAdvancedCustomDrawItemEvent

TTVAdvancedCustomDrawItemEvent - generic event handler method for Tree View Item advanced custom drawing

## Declaration

Source position: comctrls.pp line 2004

`type TTVAdvancedCustomDrawItemEvent = procedure(`
`Sender: TCustomTreeView;`
`Node: TTreeNode;`
`State: TCustomDrawState;`
`Stage: TCustomDrawStage;`
`var PaintImages: Boolean;`
`var DefaultDraw: Boolean`
`) of object;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .